import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { tuple } from '../_util/type';
import PropTypes from '../_util/vue-types';
import buttonTypes from '../button/buttonTypes';

var dropdownProps = function dropdownProps() {
  return {
    arrow: PropTypes.looseBool,
    trigger: {
      type: [Array, String]
    },
    overlay: PropTypes.any,
    visible: PropTypes.looseBool,
    disabled: PropTypes.looseBool,
    align: {
      type: Object
    },
    getPopupContainer: PropTypes.func,
    prefixCls: PropTypes.string,
    transitionName: PropTypes.string,
    placement: PropTypes.oneOf(tuple('topLeft', 'topCenter', 'topRight', 'bottomLeft', 'bottomCenter', 'bottomRight')),
    overlayClassName: PropTypes.string,
    overlayStyle: PropTypes.style,
    forceRender: PropTypes.looseBool,
    mouseEnterDelay: PropTypes.number,
    mouseLeaveDelay: PropTypes.number,
    openClassName: PropTypes.string,
    minOverlayWidthMatchTrigger: PropTypes.looseBool
  };
};

var ButtonTypesProps = buttonTypes();

var dropdownButtonProps = function dropdownButtonProps() {
  return _objectSpread(_objectSpread({}, dropdownProps()), {}, {
    type: PropTypes.oneOf(tuple('primary', 'ghost', 'dashed', 'default')),
    size: PropTypes.oneOf(tuple('small', 'large')),
    htmlType: ButtonTypesProps.htmlType,
    href: PropTypes.string,
    disabled: PropTypes.looseBool,
    prefixCls: PropTypes.string,
    icon: PropTypes.any,
    title: PropTypes.string
  });
};

export { dropdownProps, dropdownButtonProps };
export default dropdownProps;